WordPress.org

Ready to get started?Download WordPress

Forums

500 Internal Server Error after 2.8.4 upgrade (6 posts)

  1. theadsmith
    Member
    Posted 4 years ago #

    After upgrading WP to 2.8.4, the WP admin still works but all of the content generates a 500 error if you attempt to view it.

    To answer the obvious questions:
    - the .htaccess looks fine; I renamed it and let WP generate another one, didn't help.
    - changing the permalinks to the default didn't help, nor did any other style.
    - displaying all of the plugins didn't help.
    - changing to the default theme didn't help.

    The server error logs report messages like this:

    [Sat Aug 22 08:45:09 2009] [error] [client 97.81.75.169] mod_rewrite: maximum number of internal redirects reached. Assuming configuration error. Use 'RewriteOptions MaxRedirects' to increase the limit if neccessary., referer: http://wowbootcamp.net/

    Can anyone explain what this means? Has anyone else encountered this problem?

    Thanks,
    Aaron

  2. Kailash
    Member
    Posted 4 years ago #

    Add RewriteOptions MaxRedirects = 20 or you can use more than that. Also, check all .htaccess file which are on the top of your blog's .htaccess (.htaccess which is in parent folders) and make sure there is no redirection code.

  3. theadsmith
    Member
    Posted 4 years ago #

    Absolutely nothing fixed the problem, so I ended up having to move the entire site to a new domain on my account, then switching the domain alias over to it. Pain in the ass, and it makes me wary to update any of my other sites to 2.8.4. :/

  4. Shane G
    Member
    Posted 4 years ago #

    Hi,

    1) Either rename Plugins directory or disable all the Plugins from database.
    2) Redo the upgrade and upgrade wordpress manually.

    Thanks,

    Shane G.

  5. tderouin
    Member
    Posted 4 years ago #

    So, what happens then to the plugins that were in use? Renaming the plugins directory back to normal seems to have the same problem (login as admin at wp-admin: 500 internal server error). Does this imply the plugins we have are not compatible with 2.8.4?

    Thanks.

  6. kimijye
    Member
    Posted 4 years ago #

    Please see my post at <http://wordpress.org/support/topic/298853?replies=18#post-1204777>. I detail my fixes for this and other issues, everything is now working fine.

Topic Closed

This topic has been closed to new replies.

About this Topic